Package org.eclipse.nebula.widgets.richtext.toolbar

# Class ToolbarConfiguration

java.lang.Object
org.eclipse.nebula.widgets.richtext.toolbar.ToolbarConfiguration

@Deprecated public class ToolbarConfiguration extends Object
Deprecated.
Use the more general `RichTextEditorConfiguration`
The toolbar configuration of the CKEditor toolbar. Contains the default toolbar configuration via toolbar groups and gives the ability to dynamically add/remove custom buttons.

To customize the CKEditor buttons shown in the toolbar, you need to override `getToolbarGroupConfiguration()` and `getRemoveButtonConfiguration()`

Since:
  3.1

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`removeFormat`
Deprecated.
Configure whether to remove format combo box from the toolbar.
`boolean`
`removePasteFromWord`
Deprecated.
Configure whether to remove the paste from word button from the toolbar.
`boolean`
`removePasteText`
Deprecated.
Configure whether to remove the paste text button from the toolbar.
`boolean`
`removeStyles`
Deprecated.
Configure whether to remove the styles combo box from the toolbar.
`boolean`
`toolbarCollapsible`
Deprecated.
Configure if the toolbar should be collapsible.
`boolean`
`toolbarInitialExpanded`
Deprecated.
Configure if the toolbar should be initially expanded.

## Constructor Summary

Constructors
Constructor
Description
`ToolbarConfiguration()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`addDefaultToolbarButton(String buttonName)`
Deprecated.
Adds the CKEditor default button for the given name to the toolbar.
`protected String`
`getRemoveButtonConfiguration()`
Deprecated.
Configure CKEditor toolbar default buttons.
`Set<String>`
`getRemovedButtons()`
Deprecated.
`String[]`
`getToolbarButtonConfigurations()`
Deprecated.
`protected String`
`getToolbarGroupConfiguration()`
Deprecated.
Configure CKEditor toolbar button groups.
`void`
`removeDefaultToolbarButton(String buttonName)`
Deprecated.
Removes the CKEditor default button for the given name from the toolbar.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### removePasteText

public boolean removePasteText
Deprecated.
Configure whether to remove the paste text button from the toolbar. Default is `true`.

### removePasteFromWord

public boolean removePasteFromWord
Deprecated.
Configure whether to remove the paste from word button from the toolbar. Default is `true`.

### removeStyles

public boolean removeStyles
Deprecated.
Configure whether to remove the styles combo box from the toolbar. Default is `true`.

### removeFormat

public boolean removeFormat
Deprecated.
Configure whether to remove format combo box from the toolbar. Default is `true`.

### toolbarCollapsible

public boolean toolbarCollapsible
Deprecated.
Configure if the toolbar should be collapsible. Default is `false`.

### toolbarInitialExpanded

public boolean toolbarInitialExpanded
Deprecated.
Configure if the toolbar should be initially expanded. Is only interpreted if `toolbarCollapsible` is set to `true`. Default is `true`.

## Constructor Details

### ToolbarConfiguration

public ToolbarConfiguration()
Deprecated.

## Method Details

### getToolbarGroupConfiguration

protected String getToolbarGroupConfiguration()
Deprecated.
Configure CKEditor toolbar button groups. To customize the CKEditor buttons shown in the toolbar, you need to override this method. The returned string is a direct representation of `CKEDITOR.config.toolbarGroups` configuration property. It must start with "CKEDITOR.config.toolbarGroups" and end with a semicolon. The value is a JavaScript array as defined in CKEditor Documentation.

Usage:

     public class MyConfig extends ToolbarConfiguration {

       @Override
       protected String getToolbarGroupConfiguration() {
         return "CKEDITOR.config.toolbarGroups = [{\"name\":\"styles\"}];";
       }
     }

Returns:
  The toolbar group configuration for the CKEditor toolbar.
See Also:
  - CKEditor Toolbar Configuration

### getRemoveButtonConfiguration

protected String getRemoveButtonConfiguration()
Deprecated.
Configure CKEditor toolbar default buttons. To customize the CKEditor default buttons shown in the toolbar, you could override this method. The returned string is a direct representation of `CKEDITOR.config.removeButtons` configuration property. It must start with "CKEDITOR.config.removeButtons" and end with a semicolon. The value is a comma-separated list of default button names as defined in CKEditor Documentation.

Usage:

     public class MyConfig extends ToolbarConfiguration {

       @Override
       protected String getRemoveButtonConfiguration() {
         return "CKEDITOR.config.removeButtons = \"Subscript,Superscript\";";
       }
     }

Returns:
  The configuration which default buttons should be removed from the toolbar.
See Also:
  - CKEditor Toolbar Configuration

### addDefaultToolbarButton

public void addDefaultToolbarButton(String buttonName)
Deprecated.
Adds the CKEditor default button for the given name to the toolbar.

Note: This works only for buttons that have been removed using `removeDefaultToolbarButton(String)`

Parameters:
  `buttonName` - The name of the CKEditor default button to add.

### removeDefaultToolbarButton

public void removeDefaultToolbarButton(String buttonName)
Deprecated.
Removes the CKEditor default button for the given name from the toolbar.

Parameters:
  `buttonName` - The name of the CKEditor default button to remove.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`

### getToolbarButtonConfigurations

public String[] getToolbarButtonConfigurations()
Deprecated.

Since:
  3.2

### getRemovedButtons

public Set<String> getRemovedButtons()
Deprecated.

Since:
  3.2